[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

CVS: cvs.openbsd.org: ports



CVSROOT:	/cvs
Module name:	ports
Changes by:	avsm_(_at_)_cvs_(_dot_)_openbsd_(_dot_)_org	2001/01/07 14:08:12

Modified files:
	www/php4       : Makefile 
	www/php4/patches: patch-configure patch-crypt.c 
	                  patch-ext_mcrypt_config_m4 
Added files:
	www/php4/patches: patch-configure_in patch-ext_openssl_openssl_c 

Log message:
Add a couple of patches from venaas_(_at_)_php_(_dot_)_net to allow PHP-4.0.4 to work
with OpenSSL 0.9.5a, instead of requiring only OpenSSL 0.9.6
These patches detect the revelant version and use the additional return
values in 0.9.6 only if present.

This also unbreaks the SNMP flavor on 2.8-stable, which requires SSL
support, since our UCD-SNMP daemon has OpenSSL compiled into it
(wierd, but thats how the PHP snmp-config.m4 works)

- Add OpenSSL patches
- Add note crypt.c patch that its now in 4.0.5-dev and can be removed soon
- Add --with-openssl to the standard set of configure options




Visit your host, monkey.org